Bug 36477 - Pump incorrectly deconfigures interfaces
Pump incorrectly deconfigures interfaces
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 09:34 EDT by Russell King
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell King 2001-04-18 09:34:21 EDT
Pump deconfigures interfaces when it thinks it is unable to renew leases, dispite being re-granted the IP address by the DHCP server.
From /var/log/messages on local machine running pump:
Apr 18 11:31:03 brick pumpd[476]: configured interface eth0
Apr 18 12:15:20 brick pumpd[476]: failed to renew lease for device eth0
Apr 18 13:49:16 brick pumpd[476]: configured interface eth0
Apr 18 14:08:05 brick pumpd[476]: failed to renew lease for device eth0
Apr 18 14:08:58 brick pumpd[476]: configured interface eth0
(each re-configuration of the interface is a result of a /sbin/ifup eth0)
The logs on the DHCP server (RH6.2) indicates that it is being re-granted the same IP address successfully.
Apr 18 14:08:32 gate dhcpd: DHCPDISCOVER from 00:50:da:99:5d:fb via eth1
Apr 18 14:08:32 gate dhcpd: DHCPOFFER on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Apr 18 14:08:32 gate dhcpd: DHCPDISCOVER from 00:50:da:99:5d:fb via eth1
Apr 18 14:08:32 gate dhcpd: DHCPOFFER on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Apr 18 14:08:32 gate dhcpd: DHCPREQUEST for 192.168.0.9 from 00:50:da:99:5d:fb via eth1
Apr 18 14:08:32 gate dhcpd: DHCPACK on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPDISCOVER from 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPOFFER on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPDISCOVER from 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPOFFER on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPREQUEST for 192.168.0.9 from 00:50:da:99:5d:fb via eth1
Apr 18 14:09:24 gate dhcpd: DHCPACK on 192.168.0.9 to 00:50:da:99:5d:fb via eth1
Comment 1 Russell King 2001-04-19 04:59:49 EDT
The problem can become quite severe.  Here are the logs from this morning:
Apr 19 09:47:04 brick pumpd[476]: configured interface eth0
Apr 19 09:48:42 brick pumpd[476]: failed to renew lease for device eth0
Apr 19 09:49:17 brick pumpd[476]: configured interface eth0
Apr 19 09:49:54 brick pumpd[476]: failed to renew lease for device eth0
Apr 19 09:49:58 brick pumpd[476]: configured interface eth0
I will post a log of the dhcp network traffic later today.
Comment 2 Elliot Lee 2001-09-11 18:11:42 EDT
pump is deprecated in favor of dhcpcd

Note You need to log in before you can comment on or make changes to this bug.